using Consumer;
using MassTransit;
using Microsoft.Extensions.Hosting;

var builder = Host.CreateApplicationBuilder(args);
builder.Services.AddMassTransit(x =>
{
    x.AddConsumer<MessageConsumer>();
    x.UsingRabbitMq((context, cfg) =>
    {
        // optional, these are the defaults
        // cfg.Host("rabbitmq://localhost", h =>
        // {
        //     h.Username("guest");
        //     h.Password("guest");
        // }); 

        cfg.ReceiveEndpoint("message-queue1", e =>
        {
            e.ConfigureConsumer<MessageConsumer>(context);
        });
        cfg.ConfigureEndpoints(context);

    });
});

var host = builder.Build();
host.Run();