using MassTransit;
using Messages;

namespace Producer;

public class MessageProducer(IBus _bus) : BackgroundService
{
    protected override async Task ExecuteAsync(CancellationToken stoppingToken)
    {
        var endpoint_message_queue1 = await _bus.GetSendEndpoint(new Uri("rabbitmq://localhost/message-queue1"));
        int counter = 0;   

        while (!stoppingToken.IsCancellationRequested)
        {
            Console.WriteLine($"{++counter} Sending message to message-queue1");
            await endpoint_message_queue1.Send(new SimpleTextMessage { Text = $"{counter} Current time: {DateTimeOffset.Now}" }, stoppingToken);
            await Task.Delay(1000, stoppingToken);
        }
    }
}