using MassTransit;
using Producer;

var builder = Host.CreateApplicationBuilder(args);

builder.Services.AddMassTransit(x =>
{
    x.UsingRabbitMq((context, cfg) =>
    {
        // optional, these are the defaults
        cfg.Host("rabbitmq://localhost", h =>
        {
            h.Username("guest");
            h.Password("guest");
        }); 
    });
});

builder.Services.AddHostedService<MessageProducer>();

var host = builder.Build();
host.Run();
